#
# spec file for package mozilla-hu (Version 1.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  mozilla
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool mozilla perl rpm

Name:         mozilla-hu
License:      GPL
Group:        Productivity/Networking/Web/Browsers
Requires:     mozilla = 1.4
Autoreqprov:  on
Version:      1.4
Release:      159
Source0:      mozilla-1.4-hu.zip
Source1:      mozilla-hu-chrome
URL:          http://mozilla.fsf.hu
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Hungarian Language Pack for Mozilla
BuildArchitectures: noarch

%description
Hungarian Language Pack for Mozilla adds Hungarian localisation and
Hungarian region to Mozilla.



Authors:
--------
    Tmr Andrs <timar@gnome.hu>

%define prefix   /opt/mozilla
%prep
cd $RPM_BUILD_DIR
unzip -o %{SOURCE0}
mkdir -p langhuhu
cd langhuhu
unzip -o ../langhuhu.xpi
cd ..
mkdir -p reghu
cd reghu
unzip -o ../reghu.xpi
cd ..

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%prefix/lib/chrome
cp -R $RPM_BUILD_DIR/langhuhu/bin/chrome/* $RPM_BUILD_ROOT/%prefix/lib/chrome
cp -R $RPM_BUILD_DIR/reghu/bin/chrome/* $RPM_BUILD_ROOT/%prefix/lib/chrome
mkdir -p $RPM_BUILD_ROOT/%prefix/installed-chrome.d
cp %{SOURCE1} $RPM_BUILD_ROOT/%prefix/installed-chrome.d/mozilla-hu

%pre
/opt/mozilla/bin/rebuild-databases.sh --pre

%post
/opt/mozilla/bin/rebuild-databases.sh --post

%preun
/opt/mozilla/bin/rebuild-databases.sh --pre

%postun
/opt/mozilla/bin/rebuild-databases.sh --post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
#%dir %{prefix}/lib/chrome
%{prefix}/lib/chrome/HU.jar
%{prefix}/lib/chrome/hu-win.jar
%{prefix}/lib/chrome/hu-unix.jar
%{prefix}/lib/chrome/hu-mac.jar
%{prefix}/lib/chrome/hu-HU.jar
%{prefix}/installed-chrome.d//mozilla-hu

%changelog -n mozilla-hu
* Fri Sep 24 2004 - meissner@suse.de
- Released for 8.2 Mozilla update.
* Mon Sep 08 2003 - varkoly@suse.de
- changing specfile
* Fri Aug 08 2003 - varkoly@suse.de
- updated to version 1.4
* Mon Jun 23 2003 - ro@suse.de
- added directory to filelist
* Wed Apr 02 2003 - ro@suse.de
- fix path for /opt/mozilla/bin/rebuild-databases.sh
* Wed Mar 12 2003 - szenti@suse.de
- Package created, version 1.2.1
